org.apache.fop.render.pdf.pdfbox

## Class LastResortPreloaderPDF

- java.lang.Object
- - org.apache.xmlgraphics.image.loader.impl.AbstractImagePreloader
  - - org.apache.fop.render.pdf.pdfbox.PreloaderPDF
    - - org.apache.fop.render.pdf.pdfbox.LastResortPreloaderPDF

- All Implemented Interfaces:
    org.apache.xmlgraphics.image.loader.spi.ImagePreloader

      public class LastResortPreloaderPDF
      extends PreloaderPDF

  Last resort PDF preloader for PDFs with data before the header

- - ### Field Summary

    - ### Fields inherited from class org.apache.fop.render.pdf.pdfbox.PreloaderPDF

      `PDF_HEADER`

    - ### Fields inherited from interface org.apache.xmlgraphics.image.loader.spi.ImagePreloader

      `DEFAULT_PRIORITY`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `LastResortPreloaderPDF()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `protected byte[]` | `getHeader(javax.imageio.stream.ImageInputStream in, int size)`
    `int` | `getPriority()`

    - ### Methods inherited from class org.apache.fop.render.pdf.pdfbox.PreloaderPDF

      `preloadImage`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### LastResortPreloaderPDF

          public LastResortPreloaderPDF()

  - ### Method Detail

    - #### getHeader

          protected byte[] getHeader(javax.imageio.stream.ImageInputStream in,
                                     int size)
                              throws java.io.IOException

      Overrides:
        `getHeader` in class `org.apache.xmlgraphics.image.loader.impl.AbstractImagePreloader`
      Throws:
        `java.io.IOException`

    - #### getPriority

          public int getPriority()

      Specified by:
        `getPriority` in interface `org.apache.xmlgraphics.image.loader.spi.ImagePreloader`
      Overrides:
        `getPriority` in class `org.apache.xmlgraphics.image.loader.impl.AbstractImagePreloader`

Copyright 2007-2022 The Apache Software Foundation. All Rights Reserved.